Start4.elf not compatible

Hello,

I am trying to get picroftv20.08_2020-09-07.img, however after putting the image on my SD (128GB) on my raspberry pi 4 (1GB). However it is not able to boot and I get the following error:

*start4.elf: is not compatible *
This board requires newer software

I have attached an image of this below.

Has anyone else seen this issue or have a suggestion on how to resolve this? I used the raspberry pi imager to put the image on the SD card.

Thanks!